Return the audit logs.
1 min
GET
https://api.upstartcommerce.com/pim/audit-logs/report
Query Parameters
- startTimestampstring<date-time>DescriptionFormatdate-time
- endTimestampstring<date-time>DescriptionFormatdate-time
- pageintegerDescriptionDefault0
- pageSizeintegerDescriptionDefault100
- entitystringDescriptionAllowedATTRIBUTEATTRIBUTE_GROUPBRANDPRODUCT_TEMPLATEPRODUCTVARIANTSWATCHSWATCH_COLLECTIONSWATCH_COLLECTION_TYPEPRODUCT_LINEPRODUCT_LINE_COLLECTIONKEYWORDKEYWORD_LISTCONTENTALL
Header Parameters
- x-upstart-tenantstringrequiredDescriptionMin Length1
- x-upstart-sitestringrequiredDescriptionMin Length1
Responses
200
- object
Response Headers
- Allow
- ETag
- Cache-Control
- Content-Type
- Location
400
- ValidationErrorResponse.json
401
- ErrorResponse.json
403
- ErrorResponse.json
404
- ErrorResponse.json
405
- ErrorResponse.json
406
- ErrorResponse.json
409
- ErrorResponse.json
default
- ErrorResponse.json
curl
curl --request GET \
--url 'https://api.upstartcommerce.com/pim/audit-logs/report?page=integer&pageSize=100' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/audit-logs/report?page=integer&pageSize=100", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/audit-logs/report?page=integer&pageSize=100")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/audit-logs/report?page=integer&pageSize=100"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// audit logs.
{}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{}401
// The provided credentials were not valid for this endpoint.
{}403
// User's roles are insufficient for this endpoint.
{}404
// The requested resource was not found in the NoChannel system.
{}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{}406
// This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
{}409
// This is to indicate a conflict between the current state of a resource and the request made by the client. It indicates that the server cannot complete the request due to a conflict with the current state of the resource.
{}default
// This is the default internal server error. System was not able to process this request.
{}